Skip to content

Get reservations

GET
/merchants/{merchantCode}/reservations
curl --request GET \
--url 'https://catalog.shopgate.io/v1/merchants/example/reservations?limit=1000&offset=0'

Get reservations for merchant

merchantCode
required
string
<= 255 characters
filters
string format: json

Filter string. Supported filters: code, locationCode, productCode, sku, salesOrderNumber, fulfillmentOrderNumber

limit
integer
default: 1000 >= 1 <= 1000

The limit of entries of one page

offset
integer
0

The offset where to start the page

sort
string

Sorting of the products (sequenceId only works with filter catalogCode)

Returns reservations

Media typeapplication/json
object
meta
object
limit
number
offset
number
totalItemCount
number
reservations
Array<object>
object
code
required
string
<= 36 characters
productCode
required
string
<= 255 characters
locationCode
required
string
<= 36 characters
sku
null | string
<= 255 characters
salesOrderLineItemCode
required
string
<= 100 characters
fulfillmentOrderLineItemId
number
<= 20 characters
salesOrderNumber
required
string
fulfillmentOrderNumber
string
bin

Bin. (Location in warehouse)

null | string
<= 100 characters
binLocation

Bin location.

null | string
<= 100 characters
quantity
required
number
createDate
string format: date-time
Example
{
"meta": {
"limit": 10,
"offset": 0,
"totalItemCount": 1
},
"reservations": [
{
"bin": "1203",
"binLocation": "1203-4",
"fulfillmentOrderLineItemId": 1,
"fulfillmentOrderNumber": "someCode",
"locationCode": "DERetail1",
"productCode": "someCode",
"quantity": 1,
"salesOrderLineItemCode": "someCode",
"salesOrderNumber": "someCode",
"sku": "SKU-1",
"createDate": "2018-12-15T00:00:23.114Z"
}
]
}

Validation error

Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName

The parameter-field, that failed to validate, like “userId”

string
paramValue

The value, that was sent, like “xxx”

null | string | number | array | object
code

Machine readable error code

string
Allowed values: SCHEMA_VALIDATION_FAILED VALIDATION_FAILED ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT INVALID_TYPE UNKNOWN_FORMAT PATTERN
message
required

Human readable error code

string
results
object
errors
Array<object>
object
code

Machine readable error code

string
Allowed values: ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT INVALID_CREDENTIALS INVALID_TYPE UNKNOWN_FORMAT PATTERN
message

Human readable error code

string
description
string
path
Array<string>
warnings
array
Example
{
"error": {
"code": "SCHEMA_VALIDATION_FAILED",
"results": {
"errors": [
{
"code": "MAX_LENGTH",
"message": "Name too long",
"description": "Property Name is too long",
"path": [
"name"
]
}
]
}
}
}

Merchant not found

Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{
"code": "NotFound",
"message": "Merchant not found"
}